Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"debd80d6-496a-43a1-85f5-d91b22198964","url":null,"userId":"972cd97e-c2a6-45a5-b612-065b487c27ed","userUrl":null,"categoryId":"eae7876b-9ca5-4a63-aebd-b197dc5596f3","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-08-21T23:31:44.3800368+00:00","lastModifiedDateTime":"2026-08-22T19:31:44.3800368+00:00","availableFrom":"2026-08-22T23:31:44","startDateTimeZone":null,"availableUntil":"2026-08-23T23:31:44","endDateTimeZone":null,"medias":[{"id":"0dd57a2c-3eae-4826-8554-1abb06e9fbb5","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"2cd5f440-b8e1-4165-9078-7db51ea1637b","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"e5437283-d083-40f9-9f02-7ae53b3a8f12","url":null},{"type":"Department","name":"Department name example","id":"debe26bd-070c-40bd-95f2-59e650c8735a","url":null},{"type":"User group","name":"User group name example","id":"2dd73820-ede4-4ad8-bd7b-ebadce909991","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"822927f2-b71e-4bea-805e-037ecc362019"}],"userGroups":[{"url":null,"name":"User group name example","id":"70af1de9-a3fc-43bc-9b1f-c43134f8a2a0"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string